Get deposit instructions for an account
curl --request GET \
--url https://sandbox.elementpay.net/api/v1/partner/customers/{customer_id}/accounts/{account_id}/deposit-instructions \
--header 'X-API-Key: <api-key>'import requests
url = "https://sandbox.elementpay.net/api/v1/partner/customers/{customer_id}/accounts/{account_id}/deposit-instructions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://sandbox.elementpay.net/api/v1/partner/customers/{customer_id}/accounts/{account_id}/deposit-instructions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Deposit instructions",
"data": {
"account_id": 18,
"customer_id": "pcus_a1b2c3d4e5f6",
"asset_type": "fiat",
"currency": "EUR",
"network": null,
"status": "ready",
"account_holder_name": "Jane Doe",
"account_number": "DE89370400440532013000",
"bank_code": "COBADEFF",
"bank_name": "Example Bank",
"swift_bic": "COBADEFFXXX",
"instructions": "Show the account holder name and these bank details to the customer. They should send a bank transfer in the account currency to this account."
}
}Customer accounts
Get deposit instructions for an account
Funding coordinates for one customer account (fiat bank details or stablecoin wallet). Account must be active with usable coordinates.
GET
/
partner
/
customers
/
{customer_id}
/
accounts
/
{account_id}
/
deposit-instructions
Get deposit instructions for an account
Authorizations
Path Parameters
Public customer id returned by POST /partner/customers
Example:
"pcus_a1b2c3d4e5f6"
Account id from list/open
Required range:
x >= 1Example:
21
Response
Successful Response
The response is of type object.
⌘I